import { OnInit, AfterViewInit, ChangeDetectorRef } from '@angular/core';
import { GridColumn, GridCommand } from '../../grid-control.model';
import { SettingService } from '../../../../services/setting/setting.service';
import { NotifyService } from '../../../../services/notify/notify.service';
export declare class GridSubInformationComponent implements OnInit, AfterViewInit {
    private ref;
    private settingService;
    private notifyService;
    height: string;
    columns: GridColumn[];
    commands: GridCommand[];
    subItems: any[];
    isMobile: boolean;
    filter: any;
    constructor(ref: ChangeDetectorRef, settingService: SettingService, notifyService: NotifyService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    updateFilter(): void;
    trackById(index: any, item: any): any;
    onEditorChange: (column: GridColumn, item: any, value: any) => void;
}
